package com.njzscloud.supervisory.sys.stationletter.constant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：warn_category
 * 字典名称：预警类型
 */
@Getter
@RequiredArgsConstructor
public enum WarnCategory implements DictStr {
    SAFETY("SAFETY", "订单超时预警"),
    SPEED("SPEED", "车辆超速预警"),
    ROUTE("ROUTE", "路线偏离预警"),
    EQUIPMENT("EQUIPMENT", "GPS异常预警"),
    ;
    private final String val;
    private final String txt;
}
